// SAP Easy Access
clearscreen();
inputfield( [1,1], "Material", [1,23], {"name":"z_mm02_matl", "size":18, "required":true, "smartattributes":"rf_validate=/7"});
inputfield( [2,1], {"name":"z_mm02_matldesc", "size":40, "readonly":true, "nolabel":true});
pushbutton([4,1], "@2L@Get Material Description", "/nMM02", {"size":[2,26], "process":mm02_getDescription});
onUIEvents["/7"] = {"fcode":"/nMM02", "process":mm02_getDescription};

function mm02_getDescription(){
	onscreen 'SAPLMGMM.0060'
		set('F[Material]', '&V[z_mm02_matl]');
		enter("/5");
		
	onscreen 'SAPLMGMM.0070'
		set("cell[TABLE,0,1]","X");
		enter();
		
	onscreen 'SAPLMGMM.4004'
		set("V[z_mm02_matldesc]",'&F[MAKT-MAKTX]');
		enter("/n");
}





